function plotelementsidx3D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMeshArrays('3D',3,true);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMeshArrays('3D',2,true);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3D',1,true);
  figure(1)
  fc_graphics4mesh.plotmesh(q3,me3,'EdgeColor','LightGray','EdgeAlpha',0.7, 'FaceColor','None')
  hold on
  idx=1:8:size(me3,2);
  fc_graphics4mesh.plotelementsidx(q3,me3,'idx',idx)
  axis image;axis off
  
  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'FaceColor','LightGray','FaceAlpha',0.4)
  hold on
  idx=1:3:size(q2,2);
  fc_graphics4mesh.plotelementsidx(q2,me2,'idx',idx, 'Color','b', 'backgroundcolor','Salmon', 'edgecolor','b','fontsize',7)
  axis image;axis off
  
  figure(3)
  fc_graphics4mesh.plotmesh(q2,me2,'FaceColor','LightGray','FaceAlpha',0.4)
  hold on
  fc_graphics4mesh.plotelementsidx(q1,me1,'backgroundcolor','PaleGreen1')
  axis image;axis off  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
